.socials {
  display: flex;

  &__item {
    position: relative;
    margin-right: 10px;
    width: 40px;
    height: 40px;
    border: 1px dashed #fff;
    border-radius: 50%;

    @include transition;

    &:before,
    &:after {
      position: absolute;
      top: 0;
      left: 0;
      display: block;
      width: 100%;
      height: 100%;
      content: '';

      @include transition;
    }

    &:after {
      opacity: 0;
    }

    &:last-child {
      margin-right: 0;
    }

    &:hover {
      background: #fff;

      &:before {
        opacity: 0;
      }

      &:after {
        opacity: 1;
      }
    }

    &--tw {

      &:before {
        background: url(../img/tw.svg) no-repeat center;
      }

      &:after {
        background: url(../img/tw-dark.svg) no-repeat center;
      }
    }

    &--fb {

      &:before {
        background: url(../img/fb.svg) no-repeat center;
      }

      &:after {
        background: url(../img/fb-dark.svg) no-repeat center;
      }
    }

    &--vk {

      &:before {
        background: url(../img/vk.svg) no-repeat center;
      }

      &:after {
        background: url(../img/vk-dark.svg) no-repeat center;
      }
    }

    &--ig {

      &:before {
        background: url(../img/ig.svg) no-repeat center;
      }

      &:after {
        background: url(../img/ig-dark.svg) no-repeat center;
      }
    }
  }

  &--dark {

    .socials__item {
      border: 1px dashed $gray;

      &:hover {
        background: $gray;

        &:before {
          opacity: 0;
        }

        &:after {
          opacity: 1;
        }
      }

      &--tw {

        &:before {
          background: url(../img/tw-gray.svg) no-repeat center;
        }

        &:after {
          background: url(../img/tw.svg) no-repeat center;
        }
      }

      &--fb {

        &:before {
          background: url(../img/fb-gray.svg) no-repeat center;
        }

        &:after {
          background: url(../img/fb.svg) no-repeat center;
        }
      }

      &--vk {

        &:before {
          background: url(../img/vk-gray.svg) no-repeat center;
        }

        &:after {
          background: url(../img/vk.svg) no-repeat center;
        }
      }

      &--ig {

        &:before {
          background: url(../img/ig-gray.svg) no-repeat center;
        }

        &:after {
          background: url(../img/ig.svg) no-repeat center;
        }
      }
    }
  }
}
